Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver:

## Public Member Functions
| addResolver (ConfigResolverInterface $resolver, $priority=0)
| Registers $mapper as a valid mapper to be used in the configuration mapping chain. More...
| getAllResolvers ()
| getParameter ($paramName, $namespace=null, $scope=null)
| Returns value for $paramName, in $namespace. More...
| hasParameter ($paramName, $namespace=null, $scope=null)
| Checks if $paramName exists in $namespace. More...
| setDefaultNamespace ($defaultNamespace)
| Changes the default namespace to look parameter into. More...
| getDefaultNamespace ()
| Not supported. More...

## Protected Member Functions
| sortResolvers ()
| Sort the registered mappers by priority. More...

## Protected Attributes
| $resolvers = []
| $sortedResolvers

## Detailed Description

Definition at line 12 of file ChainConfigResolver.php.

## Member Function Documentation

## ◆ addResolver()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver::addResolver | ( | ConfigResolverInterface | $resolver,
|  |  | $priority = `0`
| ) |  |

Registers $mapper as a valid mapper to be used in the configuration mapping chain.

When this mapper will be called in the chain depends on $priority. The highest $priority is, the earliest the router will be called.

Parameters

  \eZ\Publish\Core\MVC\ConfigResolverInterface | $resolver |
  int | $priority |

Definition at line 27 of file ChainConfigResolver.php.

## ◆ getAllResolvers()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver::getAllResolvers | ( |  | ) |

Returns
  \eZ\Publish\Core\MVC\ConfigResolverInterface[]

Definition at line 41 of file ChainConfigResolver.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\$sortedResolvers, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\sortResolvers().

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\getParameter(), eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\hasParameter(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\setDefaultNamespace().

## ◆ getDefaultNamespace()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver::getDefaultNamespace | ( |  | ) |

Not supported.

Exceptions

Implements eZ\Publish\Core\MVC\ConfigResolverInterface.

Definition at line 131 of file ChainConfigResolver.php.

## ◆ getParameter()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver::getParameter | ( |  | $paramName,
|  |  | $namespace = `null`,
|  |  | $scope = `null`
| ) |  |

Returns value for $paramName, in $namespace.

Parameters

  string | $paramName | The parameter name, without $prefix and the current scope (i.e. siteaccess name).
  string | $namespace | Namespace for the parameter name. If null, the default namespace should be used.
  string | $scope | The scope you need $paramName value for.

Exceptions

Implements eZ\Publish\Core\MVC\ConfigResolverInterface.

Definition at line 79 of file ChainConfigResolver.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\getAllResolvers().

## ◆ hasParameter()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver::hasParameter | ( |  | $paramName,
|  |  | $namespace = `null`,
|  |  | $scope = `null`
| ) |  |

Checks if $paramName exists in $namespace.

Parameters

  string | $paramName |
  string | $namespace | If null, the default namespace should be used.
  string | $scope | The scope you need $paramName value for.

Returns
  bool

Implements eZ\Publish\Core\MVC\ConfigResolverInterface.

Definition at line 102 of file ChainConfigResolver.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\getAllResolvers().

## ◆ setDefaultNamespace()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver::setDefaultNamespace | ( |  | $defaultNamespace | ) |

Changes the default namespace to look parameter into.

Parameters

  string | $defaultNamespace |

Implements eZ\Publish\Core\MVC\ConfigResolverInterface.

Definition at line 119 of file ChainConfigResolver.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\getAllResolvers().

## ◆ sortResolvers()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver::sortResolvers | ( |  | ) |
| protected

Sort the registered mappers by priority.

The highest priority number is the highest priority (reverse sorting).

Returns
  \eZ\Publish\Core\MVC\ConfigResolverInterface[]

Definition at line 56 of file ChainConfigResolver.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\$resolvers, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\$sortedResolvers.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\getAllResolvers().

## Member Data Documentation

## ◆ $resolvers

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver::$resolvers = []
| protected

Definition at line 15 of file ChainConfigResolver.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\sortResolvers().

## ◆ $sortedResolvers

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver::$sortedResolvers
| protected

Definition at line 18 of file ChainConfigResolver.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\getAllResolvers(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ChainConfigResolver\sortResolvers().

The documentation for this class was generated from the following file:

- ChainConfigResolver.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.